IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_199_query]') AND type = 'P')
DROP PROCEDURE [dbo].[order_199_query]
GO
CREATE  procedure order_199_query(
@cmpid int,@branchid int,@userdpid int,@userotid int ,@useruid int ,@bizid int ,@finished int ,@status nvarchar(50),@pagesize int , @pagecount int , @pageobjids varchar(8000),@ord_xb_min varchar(100), @ord_xb_max varchar(100),@ord_tzys_min varchar(100), @ord_tzys_max varchar(100),@ord_date_min datetime,@ord_date_max datetime,@ord_status_min nvarchar(30), @ord_status_max nvarchar(30),@ord_qwsr_min varchar(100), @ord_qwsr_max varchar(100),@ord_khxm_min varchar(100), @ord_khxm_max varchar(100),@ord_gjjg_min varchar(100), @ord_gjjg_max varchar(100),@ord_dh_min varchar(100), @ord_dh_max varchar(100),@ord_creator_min nvarchar(50), @ord_creator_max nvarchar(50),@ord_bfsj_min datetime,@ord_bfsj_max datetime,@ord_yxcd_min varchar(100), @ord_yxcd_max varchar(100)) as begin  
set nocount on  

declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1') 
declare @s1 varchar(8000) 
declare @s2 varchar(100) 
declare @i int 
declare @amount int 
select @amount = @pagecount*@pagesize 
declare @pobjs table(nid int identity(1, 1), ordid bigint) 
set @s1 = @pageobjids 
while (@s1>'') 
begin 
set @i = charindex(',', @s1) 
if (@i>0) 
begin 
set @s2 = substring(@s1,1,@i-1) 
set @s1 = substring(@s1,@i+1,len(@s1)-@i) 
end else  
begin 
set @s2 = @s1 
set @s1 = '' 
end 
insert into @pobjs(ordid) values(convert(bigint,@s2)) 
end 
if (exists (select top 1 * from @pobjs)) 
begin 
select a.* from order_199 a, @pobjs
where ord_id=ordid
order by nid 
select a.* from order_199_users a , @pobjs 
where ordp_ordid=ordid and ordp_cuid=@useruid
return 
end 
if (@status is null or @status = '_none_') set @status = '' 


if (@ord_xb_min is null or @ord_xb_min = '_none_') set @ord_xb_min = '' 
if (@ord_xb_max is null or @ord_xb_max = '_none_') set @ord_xb_max = '' 

if (@ord_tzys_min is null or @ord_tzys_min = '_none_') set @ord_tzys_min = '' 
if (@ord_tzys_max is null or @ord_tzys_max = '_none_') set @ord_tzys_max = '' 


                if (@ord_date_min is null or @ord_date_min <= @nonedate) set @ord_date_min = '1900-01-01' 
                
if (@ord_date_max is null or @ord_date_max <= @nonedate) set @ord_date_max =  '2299-12-30 23:59:59'
else set @ord_date_max = @ord_date_max+ '23:59:59'
                

if (@ord_status_min is null or @ord_status_min = '_none_') set @ord_status_min = '' 
if (@ord_status_max is null or @ord_status_max = '_none_') set @ord_status_max = '' 

if (@ord_qwsr_min is null or @ord_qwsr_min = '_none_') set @ord_qwsr_min = '' 
if (@ord_qwsr_max is null or @ord_qwsr_max = '_none_') set @ord_qwsr_max = '' 

if (@ord_khxm_min is null or @ord_khxm_min = '_none_') set @ord_khxm_min = '' 
if (@ord_khxm_max is null or @ord_khxm_max = '_none_') set @ord_khxm_max = '' 

if (@ord_gjjg_min is null or @ord_gjjg_min = '_none_') set @ord_gjjg_min = '' 
if (@ord_gjjg_max is null or @ord_gjjg_max = '_none_') set @ord_gjjg_max = '' 

if (@ord_dh_min is null or @ord_dh_min = '_none_') set @ord_dh_min = '' 
if (@ord_dh_max is null or @ord_dh_max = '_none_') set @ord_dh_max = '' 

if (@ord_creator_min is null or @ord_creator_min = '_none_') set @ord_creator_min = '' 
if (@ord_creator_max is null or @ord_creator_max = '_none_') set @ord_creator_max = '' 


                if (@ord_bfsj_min is null or @ord_bfsj_min <= @nonedate) set @ord_bfsj_min = '1900-01-01' 
                
if (@ord_bfsj_max is null or @ord_bfsj_max <= @nonedate) set @ord_bfsj_max =  '2299-12-30 23:59:59'
else set @ord_bfsj_max = @ord_bfsj_max+ '23:59:59'
                

if (@ord_yxcd_min is null or @ord_yxcd_min = '_none_') set @ord_yxcd_min = '' 
if (@ord_yxcd_max is null or @ord_yxcd_max = '_none_') set @ord_yxcd_max = '' 

if @ord_xb_min>'' 
begin 
if (charindex('%',@ord_xb_min) = 0 and @ord_xb_min!='_empty_') 
 begin
set @ord_xb_min = '%'+@ord_xb_min+'%';
 end else if (@ord_xb_min='_empty_') set @ord_xb_min='' 
end else
begin 
set @ord_xb_min = '%' 
end
if @ord_xb_max>'' 
begin 
if (charindex('%', @ord_xb_max) = 0 and @ord_xb_max!='_empty_') 
begin
set@ord_xb_max = '%'+@ord_xb_max+'%';
 end else if (@ord_xb_max='_empty_') set @ord_xb_max='' 
end else
begin 
set @ord_xb_max = '%' 
end

if @ord_tzys_min>'' 
begin 
if (charindex('%',@ord_tzys_min) = 0 and @ord_tzys_min!='_empty_') 
 begin
set @ord_tzys_min = '%'+@ord_tzys_min+'%';
 end else if (@ord_tzys_min='_empty_') set @ord_tzys_min='' 
end else
begin 
set @ord_tzys_min = '%' 
end
if @ord_tzys_max>'' 
begin 
if (charindex('%', @ord_tzys_max) = 0 and @ord_tzys_max!='_empty_') 
begin
set@ord_tzys_max = '%'+@ord_tzys_max+'%';
 end else if (@ord_tzys_max='_empty_') set @ord_tzys_max='' 
end else
begin 
set @ord_tzys_max = '%' 
end

if @ord_status_min>'' 
begin 
if (charindex('%',@ord_status_min) = 0 and @ord_status_min!='_empty_') 
 begin
set @ord_status_min = '%'+@ord_status_min+'%';
 end else if (@ord_status_min='_empty_') set @ord_status_min='' 
end else
begin 
set @ord_status_min = '%' 
end
if @ord_status_max>'' 
begin 
if (charindex('%', @ord_status_max) = 0 and @ord_status_max!='_empty_') 
begin
set@ord_status_max = '%'+@ord_status_max+'%';
 end else if (@ord_status_max='_empty_') set @ord_status_max='' 
end else
begin 
set @ord_status_max = '%' 
end

if @ord_qwsr_min>'' 
begin 
if (charindex('%',@ord_qwsr_min) = 0 and @ord_qwsr_min!='_empty_') 
 begin
set @ord_qwsr_min = '%'+@ord_qwsr_min+'%';
 end else if (@ord_qwsr_min='_empty_') set @ord_qwsr_min='' 
end else
begin 
set @ord_qwsr_min = '%' 
end
if @ord_qwsr_max>'' 
begin 
if (charindex('%', @ord_qwsr_max) = 0 and @ord_qwsr_max!='_empty_') 
begin
set@ord_qwsr_max = '%'+@ord_qwsr_max+'%';
 end else if (@ord_qwsr_max='_empty_') set @ord_qwsr_max='' 
end else
begin 
set @ord_qwsr_max = '%' 
end

if @ord_khxm_min>'' 
begin 
if (charindex('%',@ord_khxm_min) = 0 and @ord_khxm_min!='_empty_') 
 begin
set @ord_khxm_min = '%'+@ord_khxm_min+'%';
 end else if (@ord_khxm_min='_empty_') set @ord_khxm_min='' 
end else
begin 
set @ord_khxm_min = '%' 
end
if @ord_khxm_max>'' 
begin 
if (charindex('%', @ord_khxm_max) = 0 and @ord_khxm_max!='_empty_') 
begin
set@ord_khxm_max = '%'+@ord_khxm_max+'%';
 end else if (@ord_khxm_max='_empty_') set @ord_khxm_max='' 
end else
begin 
set @ord_khxm_max = '%' 
end

if @ord_gjjg_min>'' 
begin 
if (charindex('%',@ord_gjjg_min) = 0 and @ord_gjjg_min!='_empty_') 
 begin
set @ord_gjjg_min = '%'+@ord_gjjg_min+'%';
 end else if (@ord_gjjg_min='_empty_') set @ord_gjjg_min='' 
end else
begin 
set @ord_gjjg_min = '%' 
end
if @ord_gjjg_max>'' 
begin 
if (charindex('%', @ord_gjjg_max) = 0 and @ord_gjjg_max!='_empty_') 
begin
set@ord_gjjg_max = '%'+@ord_gjjg_max+'%';
 end else if (@ord_gjjg_max='_empty_') set @ord_gjjg_max='' 
end else
begin 
set @ord_gjjg_max = '%' 
end

if @ord_dh_min>'' 
begin 
if (charindex('%',@ord_dh_min) = 0 and @ord_dh_min!='_empty_') 
 begin
set @ord_dh_min = '%'+@ord_dh_min+'%';
 end else if (@ord_dh_min='_empty_') set @ord_dh_min='' 
end else
begin 
set @ord_dh_min = '%' 
end
if @ord_dh_max>'' 
begin 
if (charindex('%', @ord_dh_max) = 0 and @ord_dh_max!='_empty_') 
begin
set@ord_dh_max = '%'+@ord_dh_max+'%';
 end else if (@ord_dh_max='_empty_') set @ord_dh_max='' 
end else
begin 
set @ord_dh_max = '%' 
end

if @ord_creator_min>'' 
begin 
if (charindex('%',@ord_creator_min) = 0 and @ord_creator_min!='_empty_') 
 begin
set @ord_creator_min = '%'+@ord_creator_min+'%';
 end else if (@ord_creator_min='_empty_') set @ord_creator_min='' 
end else
begin 
set @ord_creator_min = '%' 
end
if @ord_creator_max>'' 
begin 
if (charindex('%', @ord_creator_max) = 0 and @ord_creator_max!='_empty_') 
begin
set@ord_creator_max = '%'+@ord_creator_max+'%';
 end else if (@ord_creator_max='_empty_') set @ord_creator_max='' 
end else
begin 
set @ord_creator_max = '%' 
end

if @ord_yxcd_min>'' 
begin 
if (charindex('%',@ord_yxcd_min) = 0 and @ord_yxcd_min!='_empty_') 
 begin
set @ord_yxcd_min = '%'+@ord_yxcd_min+'%';
 end else if (@ord_yxcd_min='_empty_') set @ord_yxcd_min='' 
end else
begin 
set @ord_yxcd_min = '%' 
end
if @ord_yxcd_max>'' 
begin 
if (charindex('%', @ord_yxcd_max) = 0 and @ord_yxcd_max!='_empty_') 
begin
set@ord_yxcd_max = '%'+@ord_yxcd_max+'%';
 end else if (@ord_yxcd_max='_empty_') set @ord_yxcd_max='' 
end else
begin 
set @ord_yxcd_max = '%' 
end
 
    
if (@finished = -11)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_199 a,order_199_users 
where a.ord_cmpid=@cmpid 
and ordp_ordid=a.ord_id 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and a.ord_finished > 0 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 
order by ord_date desc,ord_xb,ord_tzys,ord_status,ord_qwsr,ord_khxm,ord_gjjg,ord_dh,ord_creator,ord_bfsj desc,ord_yxcd
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_199 a,order_199_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and a.ord_finished > 0
and (a.ord_status=@status or @status='') 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 
order by ord_date desc,ord_xb,ord_tzys,ord_status,ord_qwsr,ord_khxm,ord_gjjg,ord_dh,ord_creator,ord_bfsj desc,ord_yxcd
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_199 a,order_199_users 
where a.ord_id=ordp_ordid 
and a.ord_finished > 0
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_199 a,order_199_users 
where a.ord_id=ordp_ordid 
and a.ord_finished > 0
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 
order by ord_date desc,ord_xb,ord_tzys,ord_status,ord_qwsr,ord_khxm,ord_gjjg,ord_dh,ord_creator,ord_bfsj desc,ord_yxcd
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_199 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and a.ord_finished > 0
order by nid 
-- 返回权限 
select a.* from order_199_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = -10)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_199 a,order_199_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_ordid=a.ord_id 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 
order by ord_date desc,ord_xb,ord_tzys,ord_status,ord_qwsr,ord_khxm,ord_gjjg,ord_dh,ord_creator,ord_bfsj desc,ord_yxcd
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_199 a,order_199_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and (a.ord_status=@status or @status='') 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 
order by ord_date desc,ord_xb,ord_tzys,ord_status,ord_qwsr,ord_khxm,ord_gjjg,ord_dh,ord_creator,ord_bfsj desc,ord_yxcd
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_199 a,order_199_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_199 a,order_199_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 
order by ord_date desc,ord_xb,ord_tzys,ord_status,ord_qwsr,ord_khxm,ord_gjjg,ord_dh,ord_creator,ord_bfsj desc,ord_yxcd
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_199 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and (a.ord_finished>0 and a.ord_createcuid=@useruid) 
order by nid 
-- 返回权限 
select a.* from order_199_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = 2)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_199 a,order_199_users 
where a.ord_cmpid=@cmpid 
and ordp_ordid=a.ord_id 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and a.ord_finished>=2 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 
order by ord_date desc,ord_xb,ord_tzys,ord_status,ord_qwsr,ord_khxm,ord_gjjg,ord_dh,ord_creator,ord_bfsj desc,ord_yxcd
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_199 a,order_199_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and a.ord_finished>=2 
and (a.ord_status=@status or @status='') 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 
order by ord_date desc,ord_xb,ord_tzys,ord_status,ord_qwsr,ord_khxm,ord_gjjg,ord_dh,ord_creator,ord_bfsj desc,ord_yxcd
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_199 a,order_199_users 
where a.ord_id=ordp_ordid 
and a.ord_finished>=2 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_199 a,order_199_users 
where a.ord_id=ordp_ordid 
and a.ord_finished>=2 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 
order by ord_date desc,ord_xb,ord_tzys,ord_status,ord_qwsr,ord_khxm,ord_gjjg,ord_dh,ord_creator,ord_bfsj desc,ord_yxcd
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_199 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and a.ord_finished>=2 
order by nid 
-- 返回权限 
select a.* from order_199_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = 1)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_199 a,order_199_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and ordp_ordid=a.ord_id 
and (a.ord_status=@status or @status='') 
and (a.ord_finished>0 and a.ord_finished<=1)
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 
order by ord_date desc,ord_xb,ord_tzys,ord_status,ord_qwsr,ord_khxm,ord_gjjg,ord_dh,ord_creator,ord_bfsj desc,ord_yxcd
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_199 a,order_199_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_finished>0 and a.ord_finished<=1)
and (a.ord_status=@status or @status='') 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 
order by ord_date desc,ord_xb,ord_tzys,ord_status,ord_qwsr,ord_khxm,ord_gjjg,ord_dh,ord_creator,ord_bfsj desc,ord_yxcd
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_199 a,order_199_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_finished<=1)
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_199 a,order_199_users 
where a.ord_id=ordp_ordid 
and (a.ord_finished>0 and a.ord_finished<=1)
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 
order by ord_date desc,ord_xb,ord_tzys,ord_status,ord_qwsr,ord_khxm,ord_gjjg,ord_dh,ord_creator,ord_bfsj desc,ord_yxcd
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_199 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and (a.ord_finished>0 and a.ord_finished<=1) 
order by nid 
-- 返回权限 
select a.* from order_199_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end else
if (@finished = -1)
begin
if (@pagesize=10000)  -- 下载
begin
select a.* from order_199 a,order_199_users 
where a.ord_cmpid=@cmpid 
and ordp_type='bizview' 
and ordp_ordid=a.ord_id 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_finished=-1 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 
order by ord_date desc,ord_xb,ord_tzys,ord_status,ord_qwsr,ord_khxm,ord_gjjg,ord_dh,ord_creator,ord_bfsj desc,ord_yxcd
end else 
if (@pagesize>=100000000)  --  转存到中间表
begin
set @pagesize = @pagesize - 100000000 
if (@pagesize<=0) set @pagesize = 100000000 
delete datalinker where useruid = @useruid 
insert into datalinker(useruid,objid) 
select top(@pagesize) @useruid,a.ord_id  from order_199 a,order_199_users 
where a.ord_id=ordp_ordid 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and ord_finished=-1 
and (a.ord_status=@status or @status='') 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 
order by ord_date desc,ord_xb,ord_tzys,ord_status,ord_qwsr,ord_khxm,ord_gjjg,ord_dh,ord_creator,ord_bfsj desc,ord_yxcd
select count(1) resultcount  from datalinker where useruid=@useruid 
end else
begin
select count(1) cnt from order_199 a,order_199_users 
where a.ord_id=ordp_ordid 
and ord_finished=-1 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 

-- 返回所有ID
insert into @pobjs(ordid) select top(@amount) ord_id from order_199 a,order_199_users 
where a.ord_id=ordp_ordid 
and ord_finished=-1 
and ordp_type='bizview' 
and ordp_cuid=@useruid 
and (a.ord_status=@status or @status='') 
and ord_xb like @ord_xb_min 
and ord_xb like @ord_xb_max 
and ord_tzys like @ord_tzys_min 
and ord_tzys like @ord_tzys_max 
and ord_date>=@ord_date_min 
and ord_date<=@ord_date_max 
and ord_status like @ord_status_min 
and ord_status like @ord_status_max 
and ord_qwsr like @ord_qwsr_min 
and ord_qwsr like @ord_qwsr_max 
and ord_khxm like @ord_khxm_min 
and ord_khxm like @ord_khxm_max 
and ord_gjjg like @ord_gjjg_min 
and ord_gjjg like @ord_gjjg_max 
and ord_dh like @ord_dh_min 
and ord_dh like @ord_dh_max 
and ord_creator like @ord_creator_min 
and ord_creator like @ord_creator_max 
and ord_bfsj>=@ord_bfsj_min 
and ord_bfsj<=@ord_bfsj_max 
and ord_yxcd like @ord_yxcd_min 
and ord_yxcd like @ord_yxcd_max 
order by ord_date desc,ord_xb,ord_tzys,ord_status,ord_qwsr,ord_khxm,ord_gjjg,ord_dh,ord_creator,ord_bfsj desc,ord_yxcd
select ordid from @pobjs 
order by nid 
-- 返回第一页 
select top(@pagesize) a.* from order_199 a,@pobjs 
where a.ord_id=ordid 
and (a.ord_status=@status or @status='')
and ord_finished=-1 
order by nid 
-- 返回权限 
select a.* from order_199_users a , @pobjs 
where ordp_ordid=ordid 
and nid<=@pagesize 
and ordp_cuid=@useruid 
end 
end 
set nocount off end